Package org.pgpainless.exception

# Class MissingPassphraseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.bouncycastle.openpgp.PGPException
org.pgpainless.exception.MissingPassphraseException

All Implemented Interfaces:
  `Serializable`

public class MissingPassphraseException extends org.bouncycastle.openpgp.PGPException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingPassphraseException(Set<SubkeyIdentifier> keyIds)`

## Method Summary

Modifier and Type
Method
Description
`Set<SubkeyIdentifier>`
`getKeyIds()`

### Methods inherited from class org.bouncycastle.openpgp.PGPException

`getCause, getUnderlyingException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingPassphraseException

public MissingPassphraseException(Set<SubkeyIdentifier> keyIds)

## Method Details

### getKeyIds

public Set<SubkeyIdentifier> getKeyIds()